Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class BaseTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag

All Implemented Interfaces:
  IterationTag, Serializable, Tag

Direct Known Subclasses:
  GetPropertyTag, PrintDocTag, SelectByIdTag, SelectTag

public abstract class BaseTag
extends TagSupport

The base class for all content tags.

This provides support for the `failOnError`, `readOnly`, `useCache`, `cacheScope`, `cacheId`, and `cacheTimeout` parameters.

See Also:
  Serialized Form

Field Summary
`protected String` | `cacheId` Deprecated. The cache id.
`protected String` | `cacheScope` Deprecated. The cache scope.
`protected long` | `cacheTimeout` Deprecated. The cache timeout.
`protected boolean` | `failOnError` Deprecated. Are we supposed to fail (i.e. throw an exception) on an error.
`protected boolean` | `readOnly` Deprecated. No longer needed.
`protected boolean` | `useCache` Deprecated. Should this try to use the `ContentCache`.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`BaseTag()` Deprecated.

Method Summary
`String` | `getCacheId()` Deprecated. Get the cacheId which should be used.
`String` | `getCacheScope()` Deprecated. Get the value of `cacheScope`.
`String` | `getCacheTimeout()` Deprecated. Get the value of `cacheTimeout`.
`String` | `getFailOnError()` Deprecated. Get the value of `failOnError` as a string.
`HttpSession` | `getHttpSession()` Deprecated. Get the current HttpSession.
`String` | `getReadOnly()` Deprecated. No longer needed.
`String` | `getUseCache()` Deprecated. Get the value of `useCache`.
`String` | `getUserId()` Deprecated. Get the user id of the current user.
`void` | `release()` Deprecated. Release the tag by setting everything to the default.
`void` | `setCacheId(String s)` Deprecated. Set the value of `cacheId`.
`void` | `setCacheScope(String s)` Deprecated. Get the value of `cacheScope`.
`void` | `setCacheTimeout(long l)` Deprecated. Set the value of `cacheTimeout`.
`void` | `setCacheTimeout(String v)` Deprecated. Set the value of `cacheTimeout`.
`void` | `setFailOnError(boolean b)` Deprecated. Set the value of `failOnError`.
`void` | `setFailOnError(String s)` Deprecated. Set the value of `failOnError`.
`void` | `setReadOnly(boolean b)` Deprecated. No longer needed.
`void` | `setReadOnly(String s)` Deprecated. No longer needed.
`void` | `setUseCache(boolean b)` Deprecated. Set the value of `useCache`.
`void` | `setUseCache(String s)` Deprecated. Set the value of `useCache`.
`static Map` | `toDictionary(String in)` Deprecated. Convert a semi-colon separated of "name=value" pairs into a map.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### failOnError

    protected boolean failOnError

  Deprecated.
  Are we supposed to fail (i.e. throw an exception) on an error.

### readOnly

    protected boolean readOnly

  Deprecated. No longer needed.

  Are we supposed to get readonly versions of things.

### useCache

    protected boolean useCache

  Deprecated.
  Should this try to use the `ContentCache`.

### cacheScope

    protected String cacheScope

  Deprecated.
  The cache scope.

  This should correspond to something which the `ContentCache` understands. The standard values are "application", "session", "page", and "request".

### cacheId

    protected String cacheId

  Deprecated.
  The cache id.

  When accessing the cache, in general, if this is not set, then the ID should be used.

### cacheTimeout

    protected long cacheTimeout

  Deprecated.
  The cache timeout.

Constructor Detail

### BaseTag

    public BaseTag()

  Deprecated.

Method Detail

### release

    public void release()

  Deprecated.
  Release the tag by setting everything to the default.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `TagSupport`

### getHttpSession

    public HttpSession getHttpSession()

  Deprecated.
  Get the current HttpSession.

### getFailOnError

    public String getFailOnError()

  Deprecated.
  Get the value of `failOnError` as a string.

### setFailOnError

    public void setFailOnError(String s)

  Deprecated.
  Set the value of `failOnError`.

### setFailOnError

    public void setFailOnError(boolean b)

  Deprecated.
  Set the value of `failOnError`.

### getReadOnly

    public String getReadOnly()

  Deprecated. No longer needed.

  Get the value of `readOnly` as a String.

### setReadOnly

    public void setReadOnly(String s)

  Deprecated. No longer needed.

  Set the value of `readOnly`.

### setReadOnly

    public void setReadOnly(boolean b)

  Deprecated. No longer needed.

  Set the value of `readOnly`.

### getUseCache

    public String getUseCache()

  Deprecated.
  Get the value of `useCache`.

### setUseCache

    public void setUseCache(String s)

  Deprecated.
  Set the value of `useCache`.

### setUseCache

    public void setUseCache(boolean b)

  Deprecated.
  Set the value of `useCache`.

### getCacheScope

    public String getCacheScope()

  Deprecated.
  Get the value of `cacheScope`.

### setCacheScope

    public void setCacheScope(String s)

  Deprecated.
  Get the value of `cacheScope`.

### getCacheId

    public String getCacheId()

  Deprecated.
  Get the cacheId which should be used.

### setCacheId

    public void setCacheId(String s)

  Deprecated.
  Set the value of `cacheId`.

### getCacheTimeout

    public String getCacheTimeout()

  Deprecated.
  Get the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(String v)

  Deprecated.
  Set the value of `cacheTimeout`.

### setCacheTimeout

    public void setCacheTimeout(long l)

  Deprecated.
  Set the value of `cacheTimeout`.

### getUserId

    public String getUserId()

  Deprecated.
  Get the user id of the current user.

### toDictionary

    public static Map toDictionary(String in)

  Deprecated.
  Convert a semi-colon separated of "name=value" pairs into a map.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved